Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

[gentoo] java werkt niet onder mozilla

water
12 antwoorden
  • Hallo, ik probeer java, via de netscape download, te installeren op mijn pc. Hij is geinstalleerd, maar werkt niet. Wie kan mij helpen.
  • Hallo, ik probeer java, via de netscape download, te installeren op mijn pc. Hij is geinstalleerd, maar werkt niet. Wie kan mij helpen.

    Hoi,

    Ik had dit probleem ook (suse 8.1) dat de melding verscheen bij het opvragen van bep. pagina's. van alles geprobeerd maar nee, hoor.
    Heb toen Java uitgeschakeld en heb er geen last meer van.
    Vreemd, maarja.

    Lion. :wink:
  • Raar ik ga het proberen. Staat bij jouw in de about:plugins de java plug-in wel vermeld? Bij mij niet.
  • Helaas het werkt niet. Heb ik een pakket vergeten te installeren?
  • [quote:3259e38d05="Demonaz"]Helaas het werkt niet. Heb ik een pakket vergeten te installeren?[/quote:3259e38d05]

    Ik heb eens gekeken en er staat inderdaad geen java plugin in. Wel Flash, schokwave en iets met sound. Ik heb net als jou via netscape de plugin gedownload maar het werkt niet.
    Ik had trouwens Mozilla 1.0.1. heb nu 1.2.1 gedownload en geinstalleerd en daar staan helemaal geen plug-in's in. Ziet er wel beter uit. Er zit een plugin config-file bij maar het wordt even zoeken voor dat ik weet wat ik daar mee kan doen. kan jij mij een voorbeeld geven waar het bij jou faalt?

    Lion. ( ga nu verder met Wine )
  • Kijk even in mozilla bij menu [b:64760ddfc1]help->plugins[/b:64760ddfc1] oid welke plugins mozilla allemaal gevonden heeft.
    Staat java er niet bij? Verhuis de javaplugin van vanuit de Netscape-plugins-map naar die van Mozilla.

    Max
  • [quote:e865583866="Demonaz"]Helaas het werkt niet. Heb ik een pakket vergeten te installeren?[/quote:e865583866]

    Hoi,
    Het is o.a. belangrijk om te kijken welke java-versie je hebt (geen oude). niet alle versies werken goed samen met mozilla, maar bij mij werkt het prima. Ik heb java geinstalleerd via de instructies op:
    http://plugindoc.mozdev.org/linux.html
    dat zou prima moeten werken.

    groeten
  • Graag even een nadere uitleg. Werkt java in het geheel niet, of wil je per se de netscape-plugin gebruiken? Ik weet niet hoe het precies is georganisseerd bij Gentoo, maar ik heb zojuist de flash-plugin geinstalleerd met [code:1:bfe5e66944]emerge netscape-flash[/code:1:bfe5e66944]. Zoiets is voor de netscape java plugin niet te vinden. Maar zover ik nu kan na gaan wordt java probleemloos ondersteund. (even mijn rekeningen bekeken bij de rabobank).
  • emerge blackdown-jre

    of eventueel

    emerge blackdown-jdk (dan krijg je de hele development kit)
  • Dat is toch gewoon een dependency van Mozilla?
  • [code:1:b14902f2db]
    >>> Install netscape-flash-6.0.69-r2 into /var/tmp/portage/netscape-flash-6.0.69-r2/image/ category net-www
    * Not creating symlink for the java plugin, because there already is a java plugin installed.
    * Not creating symlink for the java plugin, because there already is a java plugin installed.
    gtk
    [/code:1:b14902f2db]

    Een stukje tekst van het emergen van netscape-flash.

    Blijkbaart wordt java ook direct geinstalleerd, maar moet je eoa symlink wijzigen om de netscape plugin te kunnen gebruiken.
  • Kunnen jullie wat met deze output? Ik kreeg deze toen ik vanuit nautilus de java-config.html opstarte. Ik zie dat ene Xlib iets mist??? en dat er iets is met een UTF 8???
    [code:1:3d5db1651b]
    ** WARNING **: could not load bookmarks!
    LoadPlugin: failed to initialize shared library /opt/blackdown-jdk-1.3.1/jre/plugin/i386/mozilla/javaplugin_oji.so [/opt/blackdown-jdk-1.3.1/jre/plugin/i386/mozilla/javaplugin_oji.so: undefined symbol: __vt_17nsGetServiceByCID]
    Xlib: extension "RENDER" missing on display ":20.0".
    LoadPlugin: failed to initialize shared library /opt/blackdown-jdk-1.3.1/jre/plugin/i386/mozilla/javaplugin_oji.so [/opt/blackdown-jdk-1.3.1/jre/plugin/i386/mozilla/javaplugin_oji.so: undefined symbol: __vt_17nsGetServiceByCID]
    LoadPlugin: failed to initialize shared library /opt/blackdown-jdk-1.3.1/jre/plugin/i386/mozilla/javaplugin_oji.so [/opt/blackdown-jdk-1.3.1/jre/plugin/i386/mozilla/javaplugin_oji.so: undefined symbol: __vt_17nsGetServiceByCID]

    — Hash table keys for warning below:
    –> file:///usr/lib/mozilla
    –> file:///usr/lib/nsbrowser
    –> file:///usr/lib
    –> file:///opt/blackdown-jdk-1.3.1/jre/plugin/i386
    [Invalid UTF-8] –> 8ƒÐyPb¸yPb #@oÃPëG@(
    –> file:///opt/blackdown-jdk-1.3.1
    –> file:///

    (nautilus:32416): Eel-WARNING **: "nautilus-metafile.c: metafiles" hash table still has 7 elements at quit time (keys above)

    — Hash table keys for warning below:
    –> file:///usr/lib/mozilla
    –> file:///usr/lib/nsbrowser
    –> file:///opt/blackdown-jdk-1.3.1/jre/plugin/i386
    –> file:///usr/lib
    –> file:///opt/blackdown-jdk-1.3.1
    –> file:///

    (nautilus:32416): Eel-WARNING **: "nautilus-directory.c: directories" hash table still has 6 elements at quit time (keys above)

    ** (nautilus:32416): WARNING **: 1 scalable icons still left when destroying icon factory

    (nautilus:32416): Bonobo-WARNING **: Leaked a total of 9 refs to 8 bonobo object(s)
    [/code:1:3d5db1651b]

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.